#!/bin/env perl

use strict;

my $eventlog = "/usr/local/nmis9/logs/event.log";

eventlog($eventlog,"meatball","Node Down","Major","","");
eventlog($eventlog,"ASGARD","Node Down","Major","","");
eventlog($eventlog,"bnelab-rr1","SNMP Down","Major","","No response from remote host \"10.248.0.1\"");
eventlog($eventlog,"bnelab-rr1","Node Configuration Change","Major","","Changed at 91 days 6:33:09");




sub eventlog {
	my $file = shift;
	my $node = shift;
	my $event = shift;
	my $level = shift;
	my $element = shift;
	my $details = shift;

	my $time = time();

	my $out =	"$time,$node,$event,$level,$element,$details";

	open(OUT, ">>$file" ) or die("$0: Couldn't open file $file for writing. $!");
	print OUT "$out\n";
	close(OUT) or warn("$0: Couldn't close file $file. $!");
}
