#!/bin/env perl

use strict;

my $eventlog = "/usr/local/nmis9/logs/event.log";

eventlog($eventlog,"meatball","Node Up","Normal","","");
eventlog($eventlog,"ASGARD","Node Up","Normal","","");
eventlog($eventlog,"bnelab-rr1","SNMP Up","Major","","snmp ok Time=00:01:44");

sub eventlog {
	my $file = shift;
	my $node = shift;
	my $event = shift;
	my $level = shift;
	my $element = shift;
	my $details = shift;

	my $time = time();

	my $out =	"$time,$node,$event,$level,$element,$details";

	open(OUT, ">>$file" ) or die("$0: Couldn't open file $file for writing. $!");
	print OUT "$out\n";
	close(OUT) or warn("$0: Couldn't close file $file. $!");
}
